{%- from "linux/map.jinja" import system with context %}

{%- if system.kernel_crash_dump.enabled %}

kernel_crash_dump_packages:
  pkg.installed:
    - name: linux-crashdump

kexec_defaults:
  file.managed:
  - name: /etc/default/kexec
  - source: salt://linux/files/kexec
  - user: root
  - mode: 644
  - template: jinja
  - require:
    - pkg: kernel_crash_dump_packages

kdump_tools_defaults:
  file.managed:
  - name: /etc/default/kdump-tools
  - source: salt://linux/files/kdump-tools
  - user: root
  - mode: 644
  - template: jinja
  - require:
    - pkg: kernel_crash_dump_packages

{%- else %}

kernel_crash_dump_defaults_purge:
  file.absent:
    - names:
      - /etc/default/kexec
      - /etc/default/kdump-tools
    - require:
      - pkg: kernel_crash_dump_pkg_purge

kernel_crash_dump_pkg_purge:
  pkg.purged:
    - name: linux-crashdump

{%- endif %}
